// @ts-check
import globals from "globals";
import eslint from "@eslint/js";
import tseslint from "typescript-eslint";

export default tseslint.config(
	{
		ignores: ["**/node_modules/", "**/main.js"],
	},
	eslint.configs.recommended,
	{
		plugins: {
			"@typescript-eslint": tseslint.plugin,
		},

		languageOptions: {
			globals: {
				...globals.node,
			},
			parser: tseslint.parser,
			ecmaVersion: 5,
			sourceType: "module",
		},

		rules: {
			"no-unused-vars": "off",

			"@typescript-eslint/no-unused-vars": [
				"error",
				{
					args: "none",
				},
			],

			"@typescript-eslint/ban-ts-comment": "off",
			"no-prototype-builtins": "off",
			"@typescript-eslint/no-empty-function": "off",
		},
	},
);
